Bug 1178824 (CVE-2015-0556, CVE-2015-0557) - CVE-2015-0556 CVE-2015-0557 arj: two directory traversal flaws
Summary: CVE-2015-0556 CVE-2015-0557 arj: two directory traversal flaws
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-0556, CVE-2015-0557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1178825 1178827
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 14:18 UTC by Martin Prpič
Modified: 2019-09-29 13:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:18 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-01-05 14:18:09 UTC
Two directory traversal flaws were discovered in the arj archiver:

symlink directory traversal:
 - https://bugs.debian.org/774434

directory traversal via //multiple/leading/slash:
 - https://bugs.debian.org/774435

A CVE request for both issues: http://seclists.org/oss-sec/2015/q1/11

No patches exist for this issues as of right now.

Comment 1 Martin Prpič 2015-01-05 14:19:15 UTC
Created arj tracking bugs for this issue:

Affects: fedora-all [bug 1178825]
Affects: epel-all [bug 1178827]

Comment 2 Fedora Update System 2015-04-10 07:27:39 UTC
arj-3.10.22-22.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-20 18:36:34 UTC
arj-3.10.22-22.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-20 18:39:09 UTC
arj-3.10.22-22.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-20 18:39:22 UTC
arj-3.10.22-22.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-21 18:34:11 UTC
arj-3.10.22-22.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:37:18 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.